org.apache.hc.core5.reactor

## Class IOReactorConfig

- java.lang.Object
- - org.apache.hc.core5.reactor.IOReactorConfig

-     @Contract(threading=IMMUTABLE)
      public final class IOReactorConfig
      extends Object

  I/O reactor configuration parameters.
  Since:
    4.2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IOReactorConfig.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IOReactorConfig` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IOReactorConfig.Builder` | `copy(IOReactorConfig config)`
    `static IOReactorConfig.Builder` | `custom()`
    `int` | `getBacklogSize()`
    `int` | `getIoThreadCount()`
    `int` | `getRcvBufSize()`
    `TimeValue` | `getSelectInterval()`
    `int` | `getSndBufSize()`
    `SocketAddress` | `getSocksProxyAddress()`
    `String` | `getSocksProxyPassword()`
    `String` | `getSocksProxyUsername()`
    `TimeValue` | `getSoLinger()`
    `Timeout` | `getSoTimeout()`
    `int` | `getTrafficClass()`
    `boolean` | `isSoKeepalive()` Deprecated. use `isSoKeepAlive()`.
    `boolean` | `isSoKeepAlive()`
    `boolean` | `isSoReuseAddress()`
    `boolean` | `isTcpNoDelay()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final IOReactorConfig DEFAULT

  - ### Method Detail

    - #### getSelectInterval

          public TimeValue getSelectInterval()

      See Also:
        `IOReactorConfig.Builder.setSelectInterval(TimeValue)`

    - #### getIoThreadCount

          public int getIoThreadCount()

      See Also:
        `IOReactorConfig.Builder.setIoThreadCount(int)`

    - #### getSoTimeout

          public Timeout getSoTimeout()

      See Also:
        `IOReactorConfig.Builder.setSoTimeout(Timeout)`

    - #### isSoReuseAddress

          public boolean isSoReuseAddress()

      See Also:
        `IOReactorConfig.Builder.setSoReuseAddress(boolean)`

    - #### getSoLinger

          public TimeValue getSoLinger()

      See Also:
        `IOReactorConfig.Builder.setSoLinger(TimeValue)`

    - #### isSoKeepAlive

          public boolean isSoKeepAlive()

      Since:
        5.2
      See Also:
        `IOReactorConfig.Builder.setSoKeepAlive(boolean)`

    - #### isSoKeepalive

          @Deprecated
          public boolean isSoKeepalive()

      Deprecated. use `isSoKeepAlive()`.
      See Also:
        `IOReactorConfig.Builder.setSoKeepAlive(boolean)`

    - #### isTcpNoDelay

          public boolean isTcpNoDelay()

      See Also:
        `IOReactorConfig.Builder.setTcpNoDelay(boolean)`

    - #### getTrafficClass

          public int getTrafficClass()

      Since:
        5.1
      See Also:
        `IOReactorConfig.Builder.setTrafficClass(int)`

    - #### getSndBufSize

          public int getSndBufSize()

      See Also:
        `IOReactorConfig.Builder.setSndBufSize(int)`

    - #### getRcvBufSize

          public int getRcvBufSize()

      See Also:
        `IOReactorConfig.Builder.setRcvBufSize(int)`

    - #### getBacklogSize

          public int getBacklogSize()

      See Also:
        `IOReactorConfig.Builder.setBacklogSize(int)`

    - #### getSocksProxyAddress

          public SocketAddress getSocksProxyAddress()

      See Also:
        `IOReactorConfig.Builder.setSocksProxyAddress(SocketAddress)`

    - #### getSocksProxyUsername

          public String getSocksProxyUsername()

      See Also:
        `IOReactorConfig.Builder.setSocksProxyUsername(String)`

    - #### getSocksProxyPassword

          public String getSocksProxyPassword()

      See Also:
        `IOReactorConfig.Builder.setSocksProxyAddress(SocketAddress)`

    - #### custom

          public static IOReactorConfig.Builder custom()

    - #### copy

          public static IOReactorConfig.Builder copy(IOReactorConfig config)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.